<?php
//NOTE: I got majority of code from latest hw assignment's search php file


$mysql = new mysqli("webdev.iyaserver.com", "dent_guest", "Acad276_Dev2Ex@m", "dent_exam");

if ($mysql->connect_errno) {
    echo "Failed to connect: " . $mysql->connect_error;
    exit();
}

// created a function so that i could populate the drop downs

function populate($query, $mysql, $value_field, $display_field) {
    $result = $mysql->query($query);
    if (!$result) {
        echo "Error: " . $mysql->error;
        return;
    }
    while ($row = $result->fetch_assoc()) {
        echo "<option value='" . $row[$value_field] . "'>" . $row[$display_field] . "</option>";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Search</title>
    <style>
        h1 {
            margin: auto;
            text-align: center;
            background-color: #900;
            color: #FC0;
            line-height: 60px;
        }
        h2 {
            margin: auto;
            text-align: center;
            padding: 30px;
        }
        .container {
            width: 400px;
            margin: auto;
            border: 1px solid red;
        }
        .left-col {
            width: 100%;
            height: 280px;
            border: 1px solid #990000;
        }
        .label, .input {
            float: left;
            width: 130px;
            margin: 3px;
        }
        .label {
            margin-left: 40px;
        }
        .input > input, .input > select {
            width: 100%;
        }
        .search-submit {
            margin-top: 20px;
            margin-left: 170px;
            width: 80px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Devices Database</h1>
    <div class="left-col">
        <h2>Search the Database</h2>
        <form method="get" action="results.php">
            <div class="label">Device Name:</div>
            <div class="input">
                <input type="text" name="device_name"/>
            </div>
            <br clear="all"/>

            <div class="label">Manufacturer:</div>
            <div class="input">
                <select name="manufacturer_id">
                    <option value="all">All</option>
                    <?php 
                    populate("SELECT manufacturer_id, manufacturer FROM manufacturers", $mysql, "manufacturer_id", "manufacturer"); 
                    ?>
                </select>
            </div>
            <br clear="all"/>

            <div class="label">Operating System:</div>
            <div class="input">
                <select name="system_id">
                    <option value="all">All</option>
                    <?php 
                    populate("SELECT system_id, system FROM systems", $mysql, "system_id", "system"); 
                    ?>
                </select>
            </div>
            <br clear="all"/>

            <div class="label">Type:</div>
            <div class="input">
                <select name="type_id">
                    <option value="all">All</option>
                    <?php 
                    populate("SELECT type_id, type FROM types", $mysql, "type_id", "type"); 
                    ?>
                </select>
            </div>
            <br clear="all"/>

            <input class="search-submit" type="submit" value="Search"/>
        </form>
    </div>
    <br clear="all"/>
</div>
</body>
</html>

<?php
$mysql->close();
?>
